<template>
  <div class="row text-center">
    <div class="col-sm-4 mb-3 mb-sm-0" v-if="coords[1]">
      <h3 class="h2">Visit</h3>
      <span itemprop="name" class="lead">{{coords[1].contenu[0].value}}</span>
      <br />
      <span itemprop="name" class="lead">{{coords[1].contenu[1].value}}</span>
      <br />
      <span itemprop="name" class="lead">{{coords[1].contenu[2].value}}</span>
      <span itemprop="name" class="lead">&nbsp;{{coords[1].contenu[3].value}}</span>
    </div>
    <div class="col-sm-4 mb-3 mb-sm-0" v-if="coords[0]">
      <h3 class="h2">Email</h3>
      <a :href="'mailto:'+coords[0].contenu[0].value" class="lead">{{coords[0].contenu[0].value}}</a>
    </div>
    <div class="col-sm-4 mb-3 mb-sm-0" v-if="coords[1]">
      <h3 class="h2">Call</h3>
      <span class="lead">
        <a :href="'tel:'+coords[1].contenu[4].value">{{coords[1].contenu[4].value}}</a>
      </span>
      <!-- <div class="text-small text-muted">Mon - Fri, 9am - 5pm</div> -->
    </div>
  </div>
</template>
<script>
export default {
  mounted: function () {
    this.fetchDataConfig("coords");
  },
  data() {
    return {
      coords: [],
    };
  },
  methods: {
    fetchDataConfig(name) {
      this.$axios
        .get(this.$urls.URL_FETCH_DATA_CONFIG_SITE + name)
        .then((response) => {
          this.coords = JSON.parse(response.data.config.data);
          console.log("this.coords", this.coords);
        })
        .catch((error) => {
          console.log("error", error);
          // this.dialogLoader = false;
        });
    },
  },
};
</script>


